Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.common.FontMapResult Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| FontMapResult ()
| Constructor.
| FontMapResult (FileReaderCallback file_read, int face_index)
| Constructor, with parameters. More...
| FontMapResult (FontMapResult other)
| Constructor, with another font mapping result object. More...
void | Set (FileReaderCallback file_read, int face_index)
| Set value. More...

## Properties
int | face_index`[get, set]`
| Face index. This is a zero-based index value: More...
FileReaderCallback? | file_read`[get, set]`
| A foxit.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is null, that means no mapped font.

## Detailed Description

This class represents font mappping result returned by callback function FontMapperCallback.MapFont .

## Constructor & Destructor Documentation

## ◆ FontMapResult() [1/2]

foxit.common.FontMapResult.FontMapResult | ( | FileReaderCallback | file_read,
|  | int | face_index
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | file_read | A foxit.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ FontMapResult() [2/2]

foxit.common.FontMapResult.FontMapResult | ( | FontMapResult | other | ) |
| inline

Constructor, with another font mapping result object.

Parameters

  [in] | other | Another font mapping result object.

## Member Function Documentation

## ◆ Set()

void foxit.common.FontMapResult.Set | ( | FileReaderCallback | file_read,
|  | int | face_index
| ) |  |
| inline

Set value.

Parameters

  [in] | file_read | A foxit.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## Property Documentation

## ◆ face_index

int foxit.common.FontMapResult.face_index
| get set

Face index. This is a zero-based index value:

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.

- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.